# mysql_result

(PHP 4, PHP 5)

mysql_result — Get result data

Warning

This extension was deprecated in PHP 5.5.0, and it was removed in PHP 7.0.0. Instead, the MySQLi or PDO_MySQL extension should be used. See also MySQL: choosing an API guide and related FAQ for more information. Alternatives to this function include:

- mysqli_data_seek() in conjunction with mysqli_field_seek() and mysqli_fetch_field()
- PDOStatement::fetchColumn()

### Description

mysql_result ( resource `$result` , int `$row` [, mixed `$field` = 0 ] ) : string

Retrieves the contents of one cell from a MySQL result set.

When working on large result sets, you should consider using one of the functions that fetch an entire row (specified below). As these functions return the contents of multiple cells in one function call, they're MUCH quicker than mysql_result(). Also, note that specifying a numeric offset for the field argument is much quicker than specifying a fieldname or tablename.fieldname argument.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mysql_query().

`row`

  The row number from the result that's being retrieved. Row numbers start at 0.

`field`

  The name or offset of the field being retrieved.

  It can be the field's offset, the field's name, or the field's table dot field name (tablename.fieldname). If the column name has been aliased ('select foo as bar from...'), use the alias instead of the column name. If undefined, the first field is retrieved.

### Return Values

The contents of one cell from a MySQL result set on success, or `FALSE` on failure.

### Examples

Example #1 mysql_result() example

`<?php
$link = mysql_connect('localhost', 'mysql_user', 'mysql_password');
if (!$link) {
die('Could not connect: ' . mysql_error());
}
if (!mysql_select_db('database_name')) {
die('Could not select database: ' . mysql_error());
}
$result = mysql_query('SELECT name FROM work.employee');
if (!$result) {
die('Could not query:' . mysql_error());
}
echo mysql_result($result, 2); // outputs third employee's name
mysql_close($link);
?>`

### Notes

> Note:

> Calls to mysql_result() should not be mixed with calls to other functions that deal with the result set.

### See Also

- mysql_fetch_row() - Get a result row as an enumerated array
- mysql_fetch_array() - Fetch a result row as an associative array, a numeric array, or both
- mysql_fetch_assoc() - Fetch a result row as an associative array
- mysql_fetch_object() - Fetch a result row as an object